<?php

namespace File\File\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Image policy
        \File\File\Models\Image::class => \File\File\Policies\ImagePolicy::class,// Bind Video policy
        \File\File\Models\Video::class => \File\File\Policies\VideoPolicy::class,// Bind Auteur policy
        \File\File\Models\Auteur::class => \File\File\Policies\AuteurPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
