<?php

namespace File\File\Workflow;

use File\File\Models\Image;
use File\File\Notifications\Image as ImageNotifyer;
use Notification;

class ImageNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Image $image
     *
     * @return void
     */
    public function complete(Image $image)
    {
        return Notification::send($image->user, new ImageNotifyer($image, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Image $image
     *
     * @return void
     */
    public function verify(Image $image)
    {
        return Notification::send($image->user, new ImageNotifyer($image, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Image $image
     *
     * @return void
     */
    public function approve(Image $image)
    {
        return Notification::send($image->user, new ImageNotifyer($image, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Image $image
     *
     * @return void
     */
    public function publish(Image $image)
    {
        return Notification::send($image->user, new ImageNotifyer($image, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Image $image
     *
     * @return void
     */
    public function archive(Image $image)
    {
        return Notification::send($image->user, new ImageNotifyer($image, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Image $image
     *
     * @return void
     */
    public function unpublish(Image $image)
    {
        return Notification::send($image->user, new ImageNotifyer($image, 'unpublish'));;

    }
}
